Changeset 2499 for trunk


Ignore:
Timestamp:
Feb 21, 2019 4:29:20 PM (4 months ago)
Author:
stefan
Message:

add OsiHiGHS as additional LP solver option for CbcGeneric?

Location:
trunk/Cbc
Files:
10 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/Makefile.in

    r2392 r2499  
    190190COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    191191COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     192COIN_HAS_HIGHS_FALSE = @COIN_HAS_HIGHS_FALSE@
     193COIN_HAS_HIGHS_TRUE = @COIN_HAS_HIGHS_TRUE@
    192194COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    193195COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
     
    268270HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    269271HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     272HIGHS_CFLAGS = @HIGHS_CFLAGS@
     273HIGHS_CFLAGS_INSTALLED = @HIGHS_CFLAGS_INSTALLED@
     274HIGHS_DATA = @HIGHS_DATA@
     275HIGHS_DATA_INSTALLED = @HIGHS_DATA_INSTALLED@
     276HIGHS_DEPENDENCIES = @HIGHS_DEPENDENCIES@
     277HIGHS_LIBS = @HIGHS_LIBS@
     278HIGHS_LIBS_INSTALLED = @HIGHS_LIBS_INSTALLED@
    270279INSTALL_DATA = @INSTALL_DATA@
    271280INSTALL_PROGRAM = @INSTALL_PROGRAM@
     
    330339OSICBC_DFLT_SOLVER_GRB_FALSE = @OSICBC_DFLT_SOLVER_GRB_FALSE@
    331340OSICBC_DFLT_SOLVER_GRB_TRUE = @OSICBC_DFLT_SOLVER_GRB_TRUE@
     341OSICBC_DFLT_SOLVER_HIGHS_FALSE = @OSICBC_DFLT_SOLVER_HIGHS_FALSE@
     342OSICBC_DFLT_SOLVER_HIGHS_TRUE = @OSICBC_DFLT_SOLVER_HIGHS_TRUE@
    332343OSICBC_DFLT_SOLVER_MSK_FALSE = @OSICBC_DFLT_SOLVER_MSK_FALSE@
    333344OSICBC_DFLT_SOLVER_MSK_TRUE = @OSICBC_DFLT_SOLVER_MSK_TRUE@
  • trunk/Cbc/configure

    r2392 r2499  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE HIGHS_LIBS HIGHS_CFLAGS HIGHS_DATA HIGHS_DEPENDENCIES HIGHS_LIBS_INSTALLED HIGHS_CFLAGS_INSTALLED HIGHS_DATA_INSTALLED COIN_HAS_HIGHS_TRUE COIN_HAS_HIGHS_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_HIGHS_TRUE OSICBC_DFLT_SOLVER_HIGHS_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11581158  --with-grb-incdir directory with header files for using package Grb
    11591159  --with-grb-datadir directory with data files for using package Grb
     1160  --with-highs-lib linker flags for using package Highs
     1161  --with-highs-incdir directory with header files for using package Highs
     1162  --with-highs-datadir directory with data files for using package Highs
    11601163  --with-msk-lib linker flags for using package Msk
    11611164  --with-msk-incdir directory with header files for using package Msk
     
    58655868*-*-irix6*)
    58665869  # Find out which ABI we are using.
    5867   echo '#line 5867 "configure"' > conftest.$ac_ext
     5870  echo '#line 5870 "configure"' > conftest.$ac_ext
    58685871  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58695872  (eval $ac_compile) 2>&5
     
    69997002
    70007003# Provide some information about the compiler.
    7001 echo "$as_me:7001:" \
     7004echo "$as_me:7004:" \
    70027005     "checking for Fortran 77 compiler version" >&5
    70037006ac_compiler=`set X $ac_compile; echo $2`
     
    80668069   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80678070   -e 's:$: $lt_compiler_flag:'`
    8068    (eval echo "\"\$as_me:8068: $lt_compile\"" >&5)
     8071   (eval echo "\"\$as_me:8071: $lt_compile\"" >&5)
    80698072   (eval "$lt_compile" 2>conftest.err)
    80708073   ac_status=$?
    80718074   cat conftest.err >&5
    8072    echo "$as_me:8072: \$? = $ac_status" >&5
     8075   echo "$as_me:8075: \$? = $ac_status" >&5
    80738076   if (exit $ac_status) && test -s "$ac_outfile"; then
    80748077     # The compiler can only warn and ignore the option if not recognized
     
    83348337   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83358338   -e 's:$: $lt_compiler_flag:'`
    8336    (eval echo "\"\$as_me:8336: $lt_compile\"" >&5)
     8339   (eval echo "\"\$as_me:8339: $lt_compile\"" >&5)
    83378340   (eval "$lt_compile" 2>conftest.err)
    83388341   ac_status=$?
    83398342   cat conftest.err >&5
    8340    echo "$as_me:8340: \$? = $ac_status" >&5
     8343   echo "$as_me:8343: \$? = $ac_status" >&5
    83418344   if (exit $ac_status) && test -s "$ac_outfile"; then
    83428345     # The compiler can only warn and ignore the option if not recognized
     
    84388441   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84398442   -e 's:$: $lt_compiler_flag:'`
    8440    (eval echo "\"\$as_me:8440: $lt_compile\"" >&5)
     8443   (eval echo "\"\$as_me:8443: $lt_compile\"" >&5)
    84418444   (eval "$lt_compile" 2>out/conftest.err)
    84428445   ac_status=$?
    84438446   cat out/conftest.err >&5
    8444    echo "$as_me:8444: \$? = $ac_status" >&5
     8447   echo "$as_me:8447: \$? = $ac_status" >&5
    84458448   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84468449   then
     
    1078310786  lt_status=$lt_dlunknown
    1078410787  cat > conftest.$ac_ext <<EOF
    10785 #line 10785 "configure"
     10788#line 10788 "configure"
    1078610789#include "confdefs.h"
    1078710790
     
    1088310886  lt_status=$lt_dlunknown
    1088410887  cat > conftest.$ac_ext <<EOF
    10885 #line 10885 "configure"
     10888#line 10888 "configure"
    1088610889#include "confdefs.h"
    1088710890
     
    1322713230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1322813231   -e 's:$: $lt_compiler_flag:'`
    13229    (eval echo "\"\$as_me:13229: $lt_compile\"" >&5)
     13232   (eval echo "\"\$as_me:13232: $lt_compile\"" >&5)
    1323013233   (eval "$lt_compile" 2>conftest.err)
    1323113234   ac_status=$?
    1323213235   cat conftest.err >&5
    13233    echo "$as_me:13233: \$? = $ac_status" >&5
     13236   echo "$as_me:13236: \$? = $ac_status" >&5
    1323413237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1323513238     # The compiler can only warn and ignore the option if not recognized
     
    1333113334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1333213335   -e 's:$: $lt_compiler_flag:'`
    13333    (eval echo "\"\$as_me:13333: $lt_compile\"" >&5)
     13336   (eval echo "\"\$as_me:13336: $lt_compile\"" >&5)
    1333413337   (eval "$lt_compile" 2>out/conftest.err)
    1333513338   ac_status=$?
    1333613339   cat out/conftest.err >&5
    13337    echo "$as_me:13337: \$? = $ac_status" >&5
     13340   echo "$as_me:13340: \$? = $ac_status" >&5
    1333813341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1333913342   then
     
    1490114904   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1490214905   -e 's:$: $lt_compiler_flag:'`
    14903    (eval echo "\"\$as_me:14903: $lt_compile\"" >&5)
     14906   (eval echo "\"\$as_me:14906: $lt_compile\"" >&5)
    1490414907   (eval "$lt_compile" 2>conftest.err)
    1490514908   ac_status=$?
    1490614909   cat conftest.err >&5
    14907    echo "$as_me:14907: \$? = $ac_status" >&5
     14910   echo "$as_me:14910: \$? = $ac_status" >&5
    1490814911   if (exit $ac_status) && test -s "$ac_outfile"; then
    1490914912     # The compiler can only warn and ignore the option if not recognized
     
    1500515008   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1500615009   -e 's:$: $lt_compiler_flag:'`
    15007    (eval echo "\"\$as_me:15007: $lt_compile\"" >&5)
     15010   (eval echo "\"\$as_me:15010: $lt_compile\"" >&5)
    1500815011   (eval "$lt_compile" 2>out/conftest.err)
    1500915012   ac_status=$?
    1501015013   cat out/conftest.err >&5
    15011    echo "$as_me:15011: \$? = $ac_status" >&5
     15014   echo "$as_me:15014: \$? = $ac_status" >&5
    1501215015   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1501315016   then
     
    1721217215   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1721317216   -e 's:$: $lt_compiler_flag:'`
    17214    (eval echo "\"\$as_me:17214: $lt_compile\"" >&5)
     17217   (eval echo "\"\$as_me:17217: $lt_compile\"" >&5)
    1721517218   (eval "$lt_compile" 2>conftest.err)
    1721617219   ac_status=$?
    1721717220   cat conftest.err >&5
    17218    echo "$as_me:17218: \$? = $ac_status" >&5
     17221   echo "$as_me:17221: \$? = $ac_status" >&5
    1721917222   if (exit $ac_status) && test -s "$ac_outfile"; then
    1722017223     # The compiler can only warn and ignore the option if not recognized
     
    1748017483   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1748117484   -e 's:$: $lt_compiler_flag:'`
    17482    (eval echo "\"\$as_me:17482: $lt_compile\"" >&5)
     17485   (eval echo "\"\$as_me:17485: $lt_compile\"" >&5)
    1748317486   (eval "$lt_compile" 2>conftest.err)
    1748417487   ac_status=$?
    1748517488   cat conftest.err >&5
    17486    echo "$as_me:17486: \$? = $ac_status" >&5
     17489   echo "$as_me:17489: \$? = $ac_status" >&5
    1748717490   if (exit $ac_status) && test -s "$ac_outfile"; then
    1748817491     # The compiler can only warn and ignore the option if not recognized
     
    1758417587   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1758517588   -e 's:$: $lt_compiler_flag:'`
    17586    (eval echo "\"\$as_me:17586: $lt_compile\"" >&5)
     17589   (eval echo "\"\$as_me:17589: $lt_compile\"" >&5)
    1758717590   (eval "$lt_compile" 2>out/conftest.err)
    1758817591   ac_status=$?
    1758917592   cat out/conftest.err >&5
    17590    echo "$as_me:17590: \$? = $ac_status" >&5
     17593   echo "$as_me:17593: \$? = $ac_status" >&5
    1759117594   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1759217595   then
     
    2758827591
    2758927592
     27593echo "$as_me:$LINENO: checking for COIN-OR package Highs" >&5
     27594echo $ECHO_N "checking for COIN-OR package Highs... $ECHO_C" >&6
     27595
     27596coin_has_highs=notGiven
     27597
     27598# check if user wants to skip package in any case
     27599if test x"$COIN_SKIP_PROJECTS" != x; then
     27600  for dir in $COIN_SKIP_PROJECTS; do
     27601    if test $dir = "Highs"; then
     27602      coin_has_highs=skipping
     27603    fi
     27604  done
     27605fi
     27606
     27607if test "$coin_has_highs" != skipping; then
     27608
     27609# Check whether --with-m4_tolower(Highs) or --without-m4_tolower(Highs) was given.
     27610if test "${with_highs+set}" = set; then
     27611  withval="$with_highs"
     27612  if test "$withval" = no ; then
     27613       coin_has_highs=skipping
     27614     fi
     27615
     27616fi;
     27617fi
     27618
     27619HIGHS_LIBS=
     27620HIGHS_CFLAGS=
     27621HIGHS_DATA=
     27622HIGHS_DEPENDENCIES=
     27623HIGHS_PCLIBS=
     27624HIGHS_PCREQUIRES=
     27625
     27626
     27627
     27628
     27629
     27630
     27631
     27632
     27633
     27634
     27635
     27636
     27637
     27638
     27639
     27640
     27641
     27642#check if user provided LIBS, CFLAGS, or DATA for package or disables use of package
     27643if test $coin_has_highs != skipping; then
     27644
     27645# Check whether --with-m4_tolower(Highs)-lib or --without-m4_tolower(Highs)-lib was given.
     27646if test "${with_highs_lib+set}" = set; then
     27647  withval="$with_highs_lib"
     27648  if test "$withval" = no ; then
     27649       coin_has_highs=skipping
     27650     else
     27651       coin_has_highs=yes
     27652       HIGHS_LIBS="$withval"
     27653       HIGHS_PCLIBS="$withval"
     27654
     27655         CBCGENERIC_PCLIBS="$withval $CBCGENERIC_PCLIBS"
     27656         CBCGENERIC_LIBS="$withval $CBCGENERIC_LIBS"
     27657
     27658       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     27659       if test -z "$PKG_CONFIG" ; then
     27660         HIGHS_LIBS_INSTALLED="$withval"
     27661         CBCGENERIC_LIBS_INSTALLED="$withval $CBCGENERIC_LIBS_INSTALLED"
     27662       fi
     27663     fi
     27664
     27665fi;
     27666fi
     27667
     27668if test $coin_has_highs != skipping; then
     27669
     27670# Check whether --with-m4_tolower(Highs)-incdir or --without-m4_tolower(Highs)-incdir was given.
     27671if test "${with_highs_incdir+set}" = set; then
     27672  withval="$with_highs_incdir"
     27673  if test "$withval" = no ; then
     27674       coin_has_highs=skipping
     27675     else
     27676       coin_has_highs=yes
     27677       HIGHS_CFLAGS="-I`${CYGPATH_W} $withval`"
     27678       CBCGENERIC_CFLAGS="-I`${CYGPATH_W} $withval` $CBCGENERIC_CFLAGS"
     27679       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     27680       if test -z "$PKG_CONFIG" ; then
     27681         HIGHS_CFLAGS_INSTALLED="$HIGHS_CFLAGS"
     27682         CBCGENERIC_CFLAGS_INSTALLED="$HIGHS_CFLAGS $CBCGENERIC_CFLAGS_INSTALLED"
     27683       fi
     27684     fi
     27685
     27686fi;
     27687fi
     27688
     27689if test $coin_has_highs != skipping; then
     27690
     27691# Check whether --with-m4_tolower(Highs)-datadir or --without-m4_tolower(Highs)-datadir was given.
     27692if test "${with_highs_datadir+set}" = set; then
     27693  withval="$with_highs_datadir"
     27694  if test "$withval" = no ; then
     27695       coin_has_highs=skipping
     27696     else
     27697       coin_has_highs=yes
     27698       HIGHS_DATA="$withval"
     27699       # if project flags are given by user and we build without pkg-config, then we need to setup the _INSTALLED variables
     27700       if test -z "$PKG_CONFIG" ; then
     27701         HIGHS_DATA_INSTALLED="$withval"
     27702       fi
     27703     fi
     27704
     27705fi;
     27706fi
     27707
     27708if test $coin_has_highs = notGiven; then
     27709  if test -n "$PKG_CONFIG" ; then
     27710    # set search path for pkg-config
     27711    # need to export variable to be sure that the following pkg-config gets these values
     27712    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     27713    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH:$COIN_PKG_CONFIG_PATH_UNINSTALLED"
     27714    export PKG_CONFIG_PATH
     27715
     27716    # let pkg-config do it's magic
     27717
     27718
     27719
     27720if test -n "$PKG_CONFIG" ; then
     27721  if $PKG_CONFIG --exists "osi-highs"; then
     27722    HIGHS_VERSIONS=`$PKG_CONFIG --modversion "osi-highs" 2>/dev/null | tr '\n' ' '`
     27723     cflags=`$PKG_CONFIG --cflags "osi-highs" 2>/dev/null`
     27724    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     27725        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     27726        # but only do this if is not trivial
     27727    if test "$CYGPATH_W" != "echo" ; then
     27728      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     27729      cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     27730    fi
     27731    HIGHS_CFLAGS="$cflags"
     27732    HIGHS_LIBS=`$PKG_CONFIG --libs "osi-highs" 2>/dev/null`
     27733    HIGHS_DATA=`$PKG_CONFIG --variable=datadir "osi-highs" 2>/dev/null`
     27734     coin_has_highs=yes
     27735        echo "$as_me:$LINENO: result: yes: $HIGHS_VERSIONS" >&5
     27736echo "${ECHO_T}yes: $HIGHS_VERSIONS" >&6
     27737
     27738        # adjust linker flags for (i)cl compiler
     27739        # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl)
     27740        if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     27741        then
     27742          HIGHS_LIBS=`echo " $HIGHS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     27743        fi
     27744        HIGHS_PCREQUIRES="osi-highs"
     27745
     27746        # augment X_PCREQUIRES, X_CFLAGS, and X_LIBS for each build target X in CbcGeneric
     27747
     27748          CBCGENERIC_PCREQUIRES="osi-highs $CBCGENERIC_PCREQUIRES"
     27749          CBCGENERIC_CFLAGS="$HIGHS_CFLAGS $CBCGENERIC_CFLAGS"
     27750          CBCGENERIC_LIBS="$HIGHS_LIBS $CBCGENERIC_LIBS"
     27751
     27752
     27753
     27754  else
     27755    HIGHS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-highs"`
     27756      coin_has_highs=notGiven
     27757        echo "$as_me:$LINENO: result: not given: $HIGHS_PKG_ERRORS" >&5
     27758echo "${ECHO_T}not given: $HIGHS_PKG_ERRORS" >&6
     27759
     27760  fi
     27761else
     27762  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Highs without pkg-config\"" >&5
     27763echo "$as_me: error: \"Cannot check for existance of module Highs without pkg-config\"" >&2;}
     27764   { (exit 1); exit 1; }; }
     27765fi
     27766
     27767
     27768
     27769
     27770    # reset PKG_CONFIG_PATH variable
     27771    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     27772    export PKG_CONFIG_PATH
     27773
     27774  else
     27775    echo "$as_me:$LINENO: result: skipped check via pkg-config, redirect to fallback" >&5
     27776echo "${ECHO_T}skipped check via pkg-config, redirect to fallback" >&6
     27777
     27778echo "$as_me:$LINENO: checking for COIN-OR package Highs (fallback)" >&5
     27779echo $ECHO_N "checking for COIN-OR package Highs (fallback)... $ECHO_C" >&6
     27780
     27781coin_has_highs=notGiven
     27782HIGHS_LIBS=
     27783HIGHS_LIBS_INSTALLED=
     27784HIGHS_CFLAGS=
     27785HIGHS_CFLAGS_INSTALLED=
     27786HIGHS_DATA=
     27787HIGHS_DATA_INSTALLED=
     27788HIGHS_PCLIBS=
     27789HIGHS_PCREQUIRES=
     27790
     27791# initial list of dependencies is "osi-highs", but we need to filter out version number specifications (= x, <= x, >= x, != x)
     27792projtoprocess="osi-highs"
     27793
     27794# we first expand the list of projects to process by adding all dependencies just behind the project which depends on it
     27795# further, we collect the list of corresponding .pc files, but do this in reverse order, because we need this order afterwards
     27796# the latter we also do with .pc files corresponding to the installed projects, which will be needed to setup Makefiles for examples
     27797# also, we setup the DATA variable
     27798allproj=""
     27799allpcfiles=""
     27800allpcifiles=""
     27801while test "x$projtoprocess" != x ; do
     27802
     27803  for proj in $projtoprocess ; do
     27804    # if $proj is available and configured, then a project-uninstalled.pc file should have been created, so search for it
     27805    pcfile=""
     27806    save_IFS="$IFS"
     27807    IFS=":"
     27808    for dir in $COIN_PKG_CONFIG_PATH_UNINSTALLED ; do
     27809      # the base directory configure should have setup coin_subdirs.txt in a way that it does not contain projects that should be skipped, so we do not need to test this here again
     27810      if test -r "$dir/${proj}-uninstalled.pc" ; then
     27811        pcfile="$dir/$proj-uninstalled.pc"
     27812        if test -r "$dir/${proj}.pc" ; then
     27813          pcifile="$dir/${proj}.pc"
     27814        else
     27815          { echo "$as_me:$LINENO: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&5
     27816echo "$as_me: WARNING: Found $pcfile, but $dir/${proj}.pc is not available. This may break Makefile's of examples." >&2;}
     27817          pcifile=
     27818        fi
     27819        break
     27820      fi
     27821    done
     27822    IFS="$save_IFS"
     27823
     27824    if test "x$pcfile" != x ; then
     27825      # read dependencies from $pcfile and filter it
     27826      projrequires=`sed -n -e 's/Requires://gp' "$pcfile" | sed -e 's/<\{0,1\}>\{0,1\}=[        ]\{0,\}[^       ]\{1,\}//g'`
     27827
     27828      # add projrequires to the front of the list of projects that have to be processed next
     27829      # at the same time, remove $proj from this list
     27830      projtoprocess=`echo $projtoprocess | sed -e "s/$proj/$projrequires/"`
     27831
     27832      # read DATA from $pcfile, if _DATA is still empty
     27833      if test "x$HIGHS_DATA" = x ; then
     27834        projdatadir=
     27835        pcfilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcfile`
     27836        eval `sh -c "$pcfilemod"`
     27837        HIGHS_DATA="$projdatadir"
     27838      fi
     27839
     27840      allproj="$allproj $proj"
     27841      allpcfiles="$pcfile:$allpcfiles"
     27842
     27843    else
     27844      echo "$as_me:$LINENO: result: no, dependency $proj not available" >&5
     27845echo "${ECHO_T}no, dependency $proj not available" >&6
     27846      allproj=fail
     27847      break 2
     27848    fi
     27849
     27850    if test "x$pcifile" != x ; then
     27851      allpcifiles="$pcifile:$allpcifiles"
     27852
     27853      # read DATA_INSTALLED from $pcifile, if _DATA_INSTALLED is still empty
     27854      if test "x$HIGHS_DATA_INSTALLED" = x ; then
     27855        projdatadir=
     27856        pcifilemod=`sed -e '/[a-zA-Z]:/d' -e 's/datadir=\(.*\)/echo projdatadir=\\\\"\1\\\\"/g' $pcifile`
     27857        eval `sh -c "$pcifilemod"`
     27858        if test "${CYGPATH_W}" != "echo"; then
     27859          projdatadir="\`\$(CYGPATH_W) ${projdatadir} | sed -e 's/\\\\\\\\/\\\\\\\\\\\\\\\\/g'\`"
     27860        fi
     27861        HIGHS_DATA_INSTALLED="$projdatadir"
     27862      fi
     27863
     27864    fi
     27865
     27866    break
     27867  done
     27868
     27869  # remove spaces on begin of $projtoprocess
     27870  projtoprocess=`echo $projtoprocess | sed -e 's/^ *//'`
     27871
     27872done
     27873
     27874if test "$allproj" != fail ; then
     27875
     27876  # now go through the list of .pc files and assemble compiler and linker flags
     27877  # important is here to obey the reverse order that has been setup before,
     27878  # since then libraries that are required by several others should be after these other libraries
     27879  pcfilesprocessed=""
     27880
     27881  save_IFS="$IFS"
     27882  IFS=":"
     27883  for pcfile in $allpcfiles ; do
     27884
     27885    # if $pcfile has been processed already, skip this round
     27886    if test "x$pcfilesprocessed" != x ; then
     27887      for pcfiledone in $pcfilesprocessed ; do
     27888        if test "$pcfiledone" = "$pcfile" ; then
     27889          continue 2
     27890        fi
     27891      done
     27892    fi
     27893
     27894    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     27895    #   replace "Libs:" by "echo projlibs="
     27896    #   replace "Cflags:" by "echo projcflags="
     27897    #   remove every line starting with <some word>:
     27898    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     27899
     27900    # set projcflags and projlibs variables by running $pcfilemod
     27901    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     27902    projcflags=
     27903    projlibs=
     27904    IFS="$save_IFS"
     27905    eval `sh -c "$pcfilemod"`
     27906    IFS=":"
     27907
     27908    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     27909    if test "${CYGPATH_W}" != "echo"; then
     27910      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     27911    fi
     27912    HIGHS_CFLAGS="$projcflags $HIGHS_CFLAGS"
     27913
     27914    # set LIBS variable
     27915    HIGHS_LIBS="$projlibs $HIGHS_LIBS"
     27916
     27917    # remember that we have processed $pcfile
     27918    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     27919
     27920  done
     27921  IFS="$save_IFS"
     27922
     27923
     27924  # now go through the list of .pc files for installed projects and assemble compiler and linker flags
     27925  # important is here again to obey the reverse order that has been setup before,
     27926  # since then libraries that are required by several others should be after these other libraries
     27927  pcfilesprocessed=""
     27928
     27929  save_IFS="$IFS"
     27930  IFS=":"
     27931  for pcfile in $allpcifiles ; do
     27932
     27933    # if $pcfile has been processed already, skip this round
     27934    if test "x$pcfilesprocessed" != x ; then
     27935      for pcfiledone in $pcfilesprocessed ; do
     27936        if test "$pcfiledone" = "$pcfile" ; then
     27937          continue 2
     27938        fi
     27939      done
     27940    fi
     27941
     27942    # modify .pc file to a shell script that prints shell commands for setting the compiler and library flags:
     27943    #   replace "Libs:" by "echo projlibs="
     27944    #   replace "Cflags:" by "echo projcflags="
     27945    #   remove every line starting with <some word>:
     27946    pcfilemod=`sed -e 's/Libs:\(.*\)$/echo projlibs=\\\\"\1\\\\"/g' -e 's/Cflags:\(.*\)/echo projcflags=\\\\"\1\\\\"/g' -e '/^[a-zA-Z]*:/d' $pcfile`
     27947
     27948    # set projcflags and projlibs variables by running $pcfilemod
     27949    # under mingw, the current IFS seem to make the : in the paths of the gfortran libs go away, so we temporarily set IFS back to its default
     27950    projcflags=
     27951    projlibs=
     27952    IFS="$save_IFS"
     27953    eval `sh -c "$pcfilemod"`
     27954    IFS=":"
     27955
     27956    # add CYGPATH_W cludge into include flags and set CFLAGS variable
     27957    if test "${CYGPATH_W}" != "echo"; then
     27958      projcflags=`echo "$projcflags" | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     27959    fi
     27960    HIGHS_CFLAGS_INSTALLED="$projcflags $HIGHS_CFLAGS_INSTALLED"
     27961
     27962    # set LIBS variable
     27963    HIGHS_LIBS_INSTALLED="$projlibs $HIGHS_LIBS_INSTALLED"
     27964
     27965    # remember that we have processed $pcfile
     27966    pcfilesprocessed="$pcfilesprocessed:$pcfile"
     27967
     27968  done
     27969  IFS="$save_IFS"
     27970
     27971
     27972  # finish up
     27973  coin_has_highs=yes
     27974  echo "$as_me:$LINENO: result: yes" >&5
     27975echo "${ECHO_T}yes" >&6
     27976
     27977cat >>confdefs.h <<\_ACEOF
     27978#define COIN_HAS_HIGHS 1
     27979_ACEOF
     27980
     27981
     27982  # adjust linker flags for (i)cl compiler
     27983  # for the LIBS, we replace everything of the form "/somepath/name.lib" by "`$(CYGPATH_W) /somepath/`name.lib | sed -e s|\|/|g" (where we have to use excessive many \ to get the \ into the command line for cl),
     27984  # for the LIBS_INSTALLED, we replace everything of the form "/somepath/" by "`$(CYGPATH_W) /somepath/`",
     27985  #    everything of the form "-lname" by "libname.lib", and
     27986  #    everything of the form "-Lpath" by "-libpath:`$(CYGPATH_W) path`
     27987  if test x$coin_cxx_is_cl = xtrue || test x$coin_cc_is_cl = xtrue ;
     27988  then
     27989    HIGHS_LIBS=`echo " $HIGHS_LIBS " | sed -e 's/ \(\/[^ ]*\/\)\([^ ]*\)\.lib / \`$(CYGPATH_W) \1 | sed -e "s|\\\\\\\\\\\\\\\\\\\\|\/|g"\`\2.lib /g'`
     27990    HIGHS_LIBS_INSTALLED=`echo " $HIGHS_LIBS_INSTALLED" | sed -e 's/ \(\/[^ ]*\/\)/ \`$(CYGPATH_W) \1\`/g' -e 's/ -l\([^ ]*\)/ lib\1.lib/g' -e 's/ -L\([^ ]*\)/ -libpath:\`$(CYGPATH_W) \1\`/g'`
     27991  fi
     27992
     27993  HIGHS_PCREQUIRES="osi-highs"
     27994
     27995    CBCGENERIC_PCREQUIRES="osi-highs $CBCGENERIC_PCREQUIRES"
     27996    CBCGENERIC_CFLAGS="$HIGHS_CFLAGS $CBCGENERIC_CFLAGS"
     27997    CBCGENERIC_LIBS="$HIGHS_LIBS $CBCGENERIC_LIBS"
     27998    CBCGENERIC_CFLAGS_INSTALLED="$HIGHS_CFLAGS_INSTALLED $CBCGENERIC_CFLAGS_INSTALLED"
     27999    CBCGENERIC_LIBS_INSTALLED="$HIGHS_LIBS_INSTALLED $CBCGENERIC_LIBS_INSTALLED"
     28000
     28001
     28002fi
     28003
     28004
     28005
     28006if test $coin_has_highs != notGiven &&
     28007                test $coin_has_highs != skipping; then
     28008  COIN_HAS_HIGHS_TRUE=
     28009  COIN_HAS_HIGHS_FALSE='#'
     28010else
     28011  COIN_HAS_HIGHS_TRUE='#'
     28012  COIN_HAS_HIGHS_FALSE=
     28013fi
     28014
     28015
     28016
     28017  fi
     28018
     28019else
     28020  echo "$as_me:$LINENO: result: $coin_has_highs" >&5
     28021echo "${ECHO_T}$coin_has_highs" >&6
     28022fi
     28023
     28024if test $coin_has_highs != skipping &&
     28025   test $coin_has_highs != notGiven ; then
     28026
     28027cat >>confdefs.h <<\_ACEOF
     28028#define COIN_HAS_HIGHS 1
     28029_ACEOF
     28030
     28031
     28032  # Check whether --enable-interpackage-dependencies or --disable-interpackage-dependencies was given.
     28033if test "${enable_interpackage_dependencies+set}" = set; then
     28034  enableval="$enable_interpackage_dependencies"
     28035
     28036else
     28037  enable_interpackage_dependencies=yes
     28038fi;
     28039
     28040  if test $enable_interpackage_dependencies = yes ; then
     28041     # construct dependencies variables from LIBS variables
     28042     # we add an extra space in LIBS so we can substitute out everything starting with " -"
     28043     # remove everything of the form -framework xxx as used on Mac and mkl* and libiomp5* and wsock32.lib as used on Windows
     28044     # then remove everything of the form -xxx
     28045     # also remove everything of the form `xxx`yyy (may have been added for cygwin/cl)
     28046     HIGHS_DEPENDENCIES=`echo " $HIGHS_LIBS" | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     28047
     28048       CBCGENERIC_DEPENDENCIES=`echo " $CBCGENERIC_LIBS " | sed -e 's/ mkl[^ ]*//g' -e 's/ libiomp5[^ ]*//g' -e 's/ wsock32[^ ]*//g' -e 's/ -framework  *[^ ]*//g' -e 's/ -[^ ]*//g' -e 's/\`[^\`]*\`[^ ]* //g'`
     28049
     28050  fi
     28051
     28052  if test 1 = 0 ; then  #change this test to enable a bit of debugging output
     28053    if test -n "$HIGHS_CFLAGS" ; then
     28054      { echo "$as_me:$LINENO: Highs CFLAGS are $HIGHS_CFLAGS" >&5
     28055echo "$as_me: Highs CFLAGS are $HIGHS_CFLAGS" >&6;}
     28056    fi
     28057    if test -n "$HIGHS_LIBS" ; then
     28058      { echo "$as_me:$LINENO: Highs LIBS   are $HIGHS_LIBS" >&5
     28059echo "$as_me: Highs LIBS   are $HIGHS_LIBS" >&6;}
     28060    fi
     28061    if test -n "$HIGHS_DEPENDENCIES" ; then
     28062      { echo "$as_me:$LINENO: Highs DEPENDENCIES are $HIGHS_DEPENDENCIES" >&5
     28063echo "$as_me: Highs DEPENDENCIES are $HIGHS_DEPENDENCIES" >&6;}
     28064    fi
     28065    if test -n "$HIGHS_DATA" ; then
     28066      { echo "$as_me:$LINENO: Highs DATA   is  $HIGHS_DATA" >&5
     28067echo "$as_me: Highs DATA   is  $HIGHS_DATA" >&6;}
     28068    fi
     28069    if test -n "$HIGHS_PCLIBS" ; then
     28070      { echo "$as_me:$LINENO: Highs PCLIBS are $HIGHS_PCLIBS" >&5
     28071echo "$as_me: Highs PCLIBS are $HIGHS_PCLIBS" >&6;}
     28072    fi
     28073    if test -n "$HIGHS_PCREQUIRES" ; then
     28074      { echo "$as_me:$LINENO: Highs PCREQUIRES are $HIGHS_PCREQUIRES" >&5
     28075echo "$as_me: Highs PCREQUIRES are $HIGHS_PCREQUIRES" >&6;}
     28076    fi
     28077
     28078      { echo "$as_me:$LINENO: CbcGeneric CFLAGS are $CBCGENERIC_CFLAGS" >&5
     28079echo "$as_me: CbcGeneric CFLAGS are $CBCGENERIC_CFLAGS" >&6;}
     28080      { echo "$as_me:$LINENO: CbcGeneric LIBS   are $CBCGENERIC_LIBS" >&5
     28081echo "$as_me: CbcGeneric LIBS   are $CBCGENERIC_LIBS" >&6;}
     28082      { echo "$as_me:$LINENO: CbcGeneric DEPENDENCIES are $CBCGENERIC_DEPENDENCIES" >&5
     28083echo "$as_me: CbcGeneric DEPENDENCIES are $CBCGENERIC_DEPENDENCIES" >&6;}
     28084
     28085  fi
     28086fi
     28087
     28088# Define the Makefile conditional
     28089
     28090
     28091if test $coin_has_highs != notGiven &&
     28092                test $coin_has_highs != skipping; then
     28093  COIN_HAS_HIGHS_TRUE=
     28094  COIN_HAS_HIGHS_FALSE='#'
     28095else
     28096  COIN_HAS_HIGHS_TRUE='#'
     28097  COIN_HAS_HIGHS_FALSE=
     28098fi
     28099
     28100
     28101
     28102
    2759028103echo "$as_me:$LINENO: checking for COIN-OR package Msk" >&5
    2759128104echo $ECHO_N "checking for COIN-OR package Msk... $ECHO_C" >&6
     
    3037630889      ;;
    3037730890   glpk)
     30891      ;;
     30892  highs)
    3037830893      ;;
    3037930894 soplex)
     
    3065731172    osi_uc_solver=GRB ;
    3065831173    osi_exists_solver=${coin_has_grb-"unavailable"}
     31174    ;;
     31175  [H][i][g][h][s]*)
     31176    osi_lc_solver=highs ;
     31177    osi_mc_solver=HiGHS ;
     31178    osi_uc_solver=HIGHS ;
     31179    osi_exists_solver=${coin_has_highs-"unavailable"}
    3065931180    ;;
    3066031181  [Mm][Ss][Kk]*)
     
    3077931300  OSICBC_DFLT_SOLVER_GRB_TRUE='#'
    3078031301  OSICBC_DFLT_SOLVER_GRB_FALSE=
     31302fi
     31303
     31304
     31305
     31306if test $osi_mc_solver = HiGHS; then
     31307  OSICBC_DFLT_SOLVER_HIGHS_TRUE=
     31308  OSICBC_DFLT_SOLVER_HIGHS_FALSE='#'
     31309else
     31310  OSICBC_DFLT_SOLVER_HIGHS_TRUE='#'
     31311  OSICBC_DFLT_SOLVER_HIGHS_FALSE=
    3078131312fi
    3078231313
     
    3149732028   { (exit 1); exit 1; }; }
    3149832029fi
     32030if test -z "${COIN_HAS_HIGHS_TRUE}" && test -z "${COIN_HAS_HIGHS_FALSE}"; then
     32031  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_HIGHS\" was never defined.
     32032Usually this means the macro was only invoked conditionally." >&5
     32033echo "$as_me: error: conditional \"COIN_HAS_HIGHS\" was never defined.
     32034Usually this means the macro was only invoked conditionally." >&2;}
     32035   { (exit 1); exit 1; }; }
     32036fi
     32037if test -z "${COIN_HAS_HIGHS_TRUE}" && test -z "${COIN_HAS_HIGHS_FALSE}"; then
     32038  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_HIGHS\" was never defined.
     32039Usually this means the macro was only invoked conditionally." >&5
     32040echo "$as_me: error: conditional \"COIN_HAS_HIGHS\" was never defined.
     32041Usually this means the macro was only invoked conditionally." >&2;}
     32042   { (exit 1); exit 1; }; }
     32043fi
    3149932044if test -z "${COIN_HAS_MSK_TRUE}" && test -z "${COIN_HAS_MSK_FALSE}"; then
    3150032045  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_MSK\" was never defined.
     
    3161332158Usually this means the macro was only invoked conditionally." >&5
    3161432159echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_GRB\" was never defined.
     32160Usually this means the macro was only invoked conditionally." >&2;}
     32161   { (exit 1); exit 1; }; }
     32162fi
     32163if test -z "${OSICBC_DFLT_SOLVER_HIGHS_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_HIGHS_FALSE}"; then
     32164  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_HIGHS\" was never defined.
     32165Usually this means the macro was only invoked conditionally." >&5
     32166echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_HIGHS\" was never defined.
    3161532167Usually this means the macro was only invoked conditionally." >&2;}
    3161632168   { (exit 1); exit 1; }; }
     
    3243132983s,@COIN_HAS_GRB_TRUE@,$COIN_HAS_GRB_TRUE,;t t
    3243232984s,@COIN_HAS_GRB_FALSE@,$COIN_HAS_GRB_FALSE,;t t
     32985s,@HIGHS_LIBS@,$HIGHS_LIBS,;t t
     32986s,@HIGHS_CFLAGS@,$HIGHS_CFLAGS,;t t
     32987s,@HIGHS_DATA@,$HIGHS_DATA,;t t
     32988s,@HIGHS_DEPENDENCIES@,$HIGHS_DEPENDENCIES,;t t
     32989s,@HIGHS_LIBS_INSTALLED@,$HIGHS_LIBS_INSTALLED,;t t
     32990s,@HIGHS_CFLAGS_INSTALLED@,$HIGHS_CFLAGS_INSTALLED,;t t
     32991s,@HIGHS_DATA_INSTALLED@,$HIGHS_DATA_INSTALLED,;t t
     32992s,@COIN_HAS_HIGHS_TRUE@,$COIN_HAS_HIGHS_TRUE,;t t
     32993s,@COIN_HAS_HIGHS_FALSE@,$COIN_HAS_HIGHS_FALSE,;t t
    3243332994s,@MSK_LIBS@,$MSK_LIBS,;t t
    3243432995s,@MSK_CFLAGS@,$MSK_CFLAGS,;t t
     
    3249233053s,@OSICBC_DFLT_SOLVER_GRB_TRUE@,$OSICBC_DFLT_SOLVER_GRB_TRUE,;t t
    3249333054s,@OSICBC_DFLT_SOLVER_GRB_FALSE@,$OSICBC_DFLT_SOLVER_GRB_FALSE,;t t
     33055s,@OSICBC_DFLT_SOLVER_HIGHS_TRUE@,$OSICBC_DFLT_SOLVER_HIGHS_TRUE,;t t
     33056s,@OSICBC_DFLT_SOLVER_HIGHS_FALSE@,$OSICBC_DFLT_SOLVER_HIGHS_FALSE,;t t
    3249433057s,@OSICBC_DFLT_SOLVER_MSK_TRUE@,$OSICBC_DFLT_SOLVER_MSK_TRUE,;t t
    3249533058s,@OSICBC_DFLT_SOLVER_MSK_FALSE@,$OSICBC_DFLT_SOLVER_MSK_FALSE,;t t
  • trunk/Cbc/configure.ac

    r2392 r2499  
    9595AC_COIN_CHECK_PACKAGE(Glpk, [osi-glpk],   [CbcGeneric])
    9696AC_COIN_CHECK_PACKAGE(Grb,  [osi-gurobi])
     97AC_COIN_CHECK_PACKAGE(Highs,[osi-highs],  [CbcGeneric])
    9798AC_COIN_CHECK_PACKAGE(Msk,  [osi-mosek],  [CbcGeneric])
    9899AC_COIN_CHECK_PACKAGE(Spx,  [osi-soplex], [CbcGeneric])
     
    153154      ;;
    154155   glpk)
     156      ;;
     157  highs)
    155158      ;;
    156159 soplex)
     
    272275    osi_exists_solver=${coin_has_grb-"unavailable"}
    273276    ;;                                             
     277  @<:@H@:>@@<:@i@:>@@<:@g@:>@@<:@h@:>@@<:@s@:>@*)       
     278    osi_lc_solver=highs ;                           
     279    osi_mc_solver=HiGHS ;                           
     280    osi_uc_solver=HIGHS ;                             
     281    osi_exists_solver=${coin_has_highs-"unavailable"}
     282    ;;
    274283  @<:@Mm@:>@@<:@Ss@:>@@<:@Kk@:>@*)
    275284    osi_lc_solver=msk ;
     
    337346AM_CONDITIONAL([OSICBC_DFLT_SOLVER_GLPK],[test $osi_mc_solver = Glpk])
    338347AM_CONDITIONAL([OSICBC_DFLT_SOLVER_GRB],[test $osi_mc_solver = Grb])
     348AM_CONDITIONAL([OSICBC_DFLT_SOLVER_HIGHS],[test $osi_mc_solver = HiGHS])
    339349AM_CONDITIONAL([OSICBC_DFLT_SOLVER_MSK],[test $osi_mc_solver = Msk])
    340350AM_CONDITIONAL([OSICBC_DFLT_SOLVER_SPX],[test $osi_mc_solver = Spx])
  • trunk/Cbc/src/CbcGenSolvers.cpp

    r2467 r2499  
    6969#endif
    7070
     71#ifdef COIN_HAS_HIGHS
     72#include "OsiHiGHSSolverInterface.hpp"
     73#ifndef CBC_DEFAULT_SOLVER
     74#define CBC_DEFAULT_SOLVER "highs"
     75#endif
     76#endif
     77
    7178#ifdef COIN_HAS_SPX
    7279#include "OsiSpxSolverInterface.hpp"
     
    143150#ifdef COIN_HAS_GLPK
    144151  solvers["glpk"] = new OsiGlpkSolverInterface;
     152#endif
     153#ifdef COIN_HAS_HIGHS
     154  solvers["highs"] = new OsiHiGHSSolverInterface;
    145155#endif
    146156#ifdef COIN_HAS_MSK
  • trunk/Cbc/src/Makefile.am

    r2204 r2499  
    175175# so just add compiler flags here (all we can think of)
    176176
    177 AM_CPPFLAGS += $(DYLP_CFLAGS) $(GLPK_CFLAGS) $(MSK_CFLAGS) $(SPX_CFLAGS) $(VOL_CFLAGS) $(XPR_CFLAGS)
     177AM_CPPFLAGS += $(DYLP_CFLAGS) $(GLPK_CFLAGS) $(HIGHS_CFLAGS) $(MSK_CFLAGS) $(SPX_CFLAGS) $(VOL_CFLAGS) $(XPR_CFLAGS)
    178178
    179179endif
  • trunk/Cbc/src/Makefile.in

    r2392 r2499  
    6767# the linker flags for all available LP solvers should already be included in $CBCGENERIC_LIBS,
    6868# so just add compiler flags here (all we can think of)
    69 @CBC_BUILD_CBC_GENERIC_TRUE@am__append_4 = $(DYLP_CFLAGS) $(GLPK_CFLAGS) $(MSK_CFLAGS) $(SPX_CFLAGS) $(VOL_CFLAGS) $(XPR_CFLAGS)
     69@CBC_BUILD_CBC_GENERIC_TRUE@am__append_4 = $(DYLP_CFLAGS) $(GLPK_CFLAGS) $(HIGHS_CFLAGS) $(MSK_CFLAGS) $(SPX_CFLAGS) $(VOL_CFLAGS) $(XPR_CFLAGS)
    7070subdir = src
    7171DIST_COMMON = $(includecoin_HEADERS) $(srcdir)/Makefile.am \
     
    258258COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    259259COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     260COIN_HAS_HIGHS_FALSE = @COIN_HAS_HIGHS_FALSE@
     261COIN_HAS_HIGHS_TRUE = @COIN_HAS_HIGHS_TRUE@
    260262COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    261263COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
     
    336338HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    337339HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     340HIGHS_CFLAGS = @HIGHS_CFLAGS@
     341HIGHS_CFLAGS_INSTALLED = @HIGHS_CFLAGS_INSTALLED@
     342HIGHS_DATA = @HIGHS_DATA@
     343HIGHS_DATA_INSTALLED = @HIGHS_DATA_INSTALLED@
     344HIGHS_DEPENDENCIES = @HIGHS_DEPENDENCIES@
     345HIGHS_LIBS = @HIGHS_LIBS@
     346HIGHS_LIBS_INSTALLED = @HIGHS_LIBS_INSTALLED@
    338347INSTALL_DATA = @INSTALL_DATA@
    339348INSTALL_PROGRAM = @INSTALL_PROGRAM@
     
    398407OSICBC_DFLT_SOLVER_GRB_FALSE = @OSICBC_DFLT_SOLVER_GRB_FALSE@
    399408OSICBC_DFLT_SOLVER_GRB_TRUE = @OSICBC_DFLT_SOLVER_GRB_TRUE@
     409OSICBC_DFLT_SOLVER_HIGHS_FALSE = @OSICBC_DFLT_SOLVER_HIGHS_FALSE@
     410OSICBC_DFLT_SOLVER_HIGHS_TRUE = @OSICBC_DFLT_SOLVER_HIGHS_TRUE@
    400411OSICBC_DFLT_SOLVER_MSK_FALSE = @OSICBC_DFLT_SOLVER_MSK_FALSE@
    401412OSICBC_DFLT_SOLVER_MSK_TRUE = @OSICBC_DFLT_SOLVER_MSK_TRUE@
  • trunk/Cbc/src/OsiCbc/Makefile.am

    r1979 r2499  
    5757endif
    5858
     59if OSICBC_DFLT_SOLVER_HIGHS
     60  AM_CPPFLAGS += ${HIGHS_CFLAGS}
     61endif
     62
    5963if OSICBC_DFLT_SOLVER_SYM
    6064  AM_CPPFLAGS += ${SYM_CFLAGS}
  • trunk/Cbc/src/OsiCbc/Makefile.in

    r2392 r2499  
    5252@OSICBC_DFLT_SOLVER_GRB_TRUE@am__append_5 = ${GRB_CFLAGS}
    5353@OSICBC_DFLT_SOLVER_MSK_TRUE@am__append_6 = ${MSK_CFLAGS}
    54 @OSICBC_DFLT_SOLVER_SYM_TRUE@am__append_7 = ${SYM_CFLAGS}
    55 @OSICBC_DFLT_SOLVER_XPR_TRUE@am__append_8 = ${XPR_CFLAGS}
     54@OSICBC_DFLT_SOLVER_HIGHS_TRUE@am__append_7 = ${HIGHS_CFLAGS}
     55@OSICBC_DFLT_SOLVER_SYM_TRUE@am__append_8 = ${SYM_CFLAGS}
     56@OSICBC_DFLT_SOLVER_XPR_TRUE@am__append_9 = ${XPR_CFLAGS}
    5657subdir = src/OsiCbc
    5758DIST_COMMON = $(includecoin_HEADERS) $(srcdir)/Makefile.am \
     
    183184COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    184185COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     186COIN_HAS_HIGHS_FALSE = @COIN_HAS_HIGHS_FALSE@
     187COIN_HAS_HIGHS_TRUE = @COIN_HAS_HIGHS_TRUE@
    185188COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    186189COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
     
    261264HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    262265HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     266HIGHS_CFLAGS = @HIGHS_CFLAGS@
     267HIGHS_CFLAGS_INSTALLED = @HIGHS_CFLAGS_INSTALLED@
     268HIGHS_DATA = @HIGHS_DATA@
     269HIGHS_DATA_INSTALLED = @HIGHS_DATA_INSTALLED@
     270HIGHS_DEPENDENCIES = @HIGHS_DEPENDENCIES@
     271HIGHS_LIBS = @HIGHS_LIBS@
     272HIGHS_LIBS_INSTALLED = @HIGHS_LIBS_INSTALLED@
    263273INSTALL_DATA = @INSTALL_DATA@
    264274INSTALL_PROGRAM = @INSTALL_PROGRAM@
     
    323333OSICBC_DFLT_SOLVER_GRB_FALSE = @OSICBC_DFLT_SOLVER_GRB_FALSE@
    324334OSICBC_DFLT_SOLVER_GRB_TRUE = @OSICBC_DFLT_SOLVER_GRB_TRUE@
     335OSICBC_DFLT_SOLVER_HIGHS_FALSE = @OSICBC_DFLT_SOLVER_HIGHS_FALSE@
     336OSICBC_DFLT_SOLVER_HIGHS_TRUE = @OSICBC_DFLT_SOLVER_HIGHS_TRUE@
    325337OSICBC_DFLT_SOLVER_MSK_FALSE = @OSICBC_DFLT_SOLVER_MSK_FALSE@
    326338OSICBC_DFLT_SOLVER_MSK_TRUE = @OSICBC_DFLT_SOLVER_MSK_TRUE@
     
    468480        $(am__append_1) $(am__append_2) $(am__append_3) \
    469481        $(am__append_4) $(am__append_5) $(am__append_6) \
    470         $(am__append_7) $(am__append_8)
     482        $(am__append_7) $(am__append_8) $(am__append_9)
    471483
    472484# This line is necessary to allow VPATH compilation
  • trunk/Cbc/src/config.h.in

    r2392 r2499  
    4949/* Define to 1 if the Grb package is available */
    5050#undef COIN_HAS_GRB
     51
     52/* Define to 1 if the Highs package is available */
     53#undef COIN_HAS_HIGHS
    5154
    5255/* Define to 1 if the Miplib3 package is available */
  • trunk/Cbc/test/Makefile.in

    r2392 r2499  
    177177COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    178178COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
     179COIN_HAS_HIGHS_FALSE = @COIN_HAS_HIGHS_FALSE@
     180COIN_HAS_HIGHS_TRUE = @COIN_HAS_HIGHS_TRUE@
    179181COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    180182COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
     
    255257HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    256258HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     259HIGHS_CFLAGS = @HIGHS_CFLAGS@
     260HIGHS_CFLAGS_INSTALLED = @HIGHS_CFLAGS_INSTALLED@
     261HIGHS_DATA = @HIGHS_DATA@
     262HIGHS_DATA_INSTALLED = @HIGHS_DATA_INSTALLED@
     263HIGHS_DEPENDENCIES = @HIGHS_DEPENDENCIES@
     264HIGHS_LIBS = @HIGHS_LIBS@
     265HIGHS_LIBS_INSTALLED = @HIGHS_LIBS_INSTALLED@
    257266INSTALL_DATA = @INSTALL_DATA@
    258267INSTALL_PROGRAM = @INSTALL_PROGRAM@
     
    317326OSICBC_DFLT_SOLVER_GRB_FALSE = @OSICBC_DFLT_SOLVER_GRB_FALSE@
    318327OSICBC_DFLT_SOLVER_GRB_TRUE = @OSICBC_DFLT_SOLVER_GRB_TRUE@
     328OSICBC_DFLT_SOLVER_HIGHS_FALSE = @OSICBC_DFLT_SOLVER_HIGHS_FALSE@
     329OSICBC_DFLT_SOLVER_HIGHS_TRUE = @OSICBC_DFLT_SOLVER_HIGHS_TRUE@
    319330OSICBC_DFLT_SOLVER_MSK_FALSE = @OSICBC_DFLT_SOLVER_MSK_FALSE@
    320331OSICBC_DFLT_SOLVER_MSK_TRUE = @OSICBC_DFLT_SOLVER_MSK_TRUE@
Note: See TracChangeset for help on using the changeset viewer.